#ifndef _AWACS_MIXER_H_
#define _AWACS_MIXER_H_

#define AWACS_MIXVOL_MASTER		1
#define AWACS_MIXVOL_SPEAKER	2
#define AWACS_MIXVOL_HEADPHONE	4

#define AWACS_GAIN_LINE			8
#define AWACS_GAIN_CD			16
#define AWACS_GAIN_MIC			32

struct volume_t
{
	int left, right;
};

struct mixer_volumes
{
	struct volume_t master, speaker, headphone, pcm;
	struct volume_t true_speaker, true_headphone, true_pcm;
};

extern char     awacs_model;
extern int     *awacs_osp;
extern int      awacs_audiodev;

#endif /* _AWACS_MIXER_H_ */
